## org.apache.fop.dom.svg
Class SVGPolylineElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGPolylineElementImpl

public class SVGPolylineElementImpl
extends GraphicElement
implements org.w3c.dom.svg.SVGPolylineElement

Field Summary
`java.util.Vector` `points`

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGPolylineElementImpl(java.util.Vector p)`

Method Summary
`org.w3c.dom.svg.SVGPointList` `getAnimatedPoints()`
`org.w3c.dom.svg.SVGPointList` `getPoints()`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getBBox, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### points

    public java.util.Vector points

Constructor Detail

### SVGPolylineElementImpl

    public SVGPolylineElementImpl(java.util.Vector p)

Method Detail

### getPoints

    public org.w3c.dom.svg.SVGPointList getPoints()

### getAnimatedPoints

    public org.w3c.dom.svg.SVGPointList getAnimatedPoints()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.